PETSc version 3.15.5
Fix/Edit manual page

# PCGalerkinSetRestriction

Sets the restriction operator for the "Galerkin-type" preconditioner

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGalerkinSetRestriction(PC pc,Mat R)

Logically Collective on PC

### Input Parameter

| pc | - the preconditioner context
| R | - the restriction operator

### Notes

Either this or PCGalerkinSetInterpolation() or both must be called

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PCGALERKIN,
PCGalerkinSetInterpolation(), PCGalerkinGetKSP()

### Level

Intermediate

### Location

src/ksp/pc/impls/galerkin/galerkin.c

### Implementations

PCGalerkinSetRestriction_Galerkin in src/ksp/pc/impls/galerkin/galerkin.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages